> ## Documentation Index
> Fetch the complete documentation index at: https://docs.duohub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> Retrieve a paginated list of users



## OpenAPI

````yaml GET /users/list
openapi: 3.1.0
info:
  title: duohub Retriever API
  description: >-
    Retrieve assisted or non-assisted memory from a duohub knowledge graph. For
    best performance, use the official `duohub` Python package.
  version: 1.0.0
servers:
  - url: https://api.duohub.ai
security:
  - APIKeyHeader: []
paths:
  /users/list:
    get:
      tags:
        - Users
      summary: List Users
      description: Retrieve a paginated list of users
      operationId: listUsers
      parameters:
        - name: limit
          in: query
          required: false
          description: Maximum number of users to return
          schema:
            type: integer
            default: 10
        - name: nextToken
          in: query
          required: false
          description: Token for getting the next page of results
          schema:
            type: string
        - name: previousToken
          in: query
          required: false
          description: Token for getting the previous page of results
          schema:
            type: string
      responses:
        '200':
          description: Users retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  users:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: User's unique identifier
                        firstName:
                          type: string
                          description: User's first name
                        lastName:
                          type: string
                          description: User's last name
                        email:
                          type: string
                          format: email
                          description: User's email address
                        owner:
                          type: string
                          description: Owner identifier
                        createdAt:
                          type: string
                          format: date-time
                          description: Creation timestamp
                        updatedAt:
                          type: string
                          format: date-time
                          description: Last update timestamp
                  nextToken:
                    type: string
                    description: Token for the next page of results
                  previousToken:
                    type: string
                    description: Token for the previous page of results
                  count:
                    type: integer
                    description: Number of users in the current page
              example:
                users:
                  - id: 123e4567-e89b-12d3-a456-426614174000
                    firstName: John
                    lastName: Doe
                    email: john.doe@example.com
                    owner: d99e7428-40e1-7073-aa50-94cee086b518
                    createdAt: '2024-01-01T00:00:00Z'
                    updatedAt: '2024-01-01T00:00:00Z'
                nextToken: >-
                  eyJpZCI6eyJTIjoiNDU2In0sInVwZGF0ZWRBdCI6eyJTIjoiMjAyNC0wMS0wMlQwMDowMDowMFoifX0=
                previousToken: null
                count: 1
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  status:
                    type: string
                    enum:
                      - unauthorized
                required:
                  - error
                  - status
                example:
                  error: API key is required
                  status: unauthorized
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  status:
                    type: string
                    enum:
                      - internal server error
                required:
                  - error
                  - status
                example:
                  error: An error occurred while listing users
                  status: internal server error
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Your duohub API key. Type: str'

````